import request from '@/utils/request'

/**
 * 创建所有索引
 */
export function buildAllArticle() {
  return request({
    url:process.env.BASE_CMS_API+"/article/buildAllArticle",
    method: 'get'
  })
}

//文章列表
export function articleList(query){
  return request({
    url:process.env.BASE_CMS_API+"/article/list",
    method:'get',
    params:query
  })
}

//当前页面展示文章
export function tagarticleList(data){
  return request({
    url:process.env.BASE_CMS_API+"/article/tagSearch",
    method:'post',
	  data
  })
}
//展示文章列表
export function articleViewList(query,apiUrl){
  return request({
    url:process.env.BASE_CMS_API+apiUrl,
    method:'get',
    params:query
  })
}

// 新增文章
export function createArticle(data) {
  return request({
    url: process.env.BASE_CMS_API + '/article/save',
    method: 'post',
    data: data
  })
}

// 通过ID查询文章
export function getArticleInfo(id) {
  return request({
    url: process.env.BASE_CMS_API + '/article/info/' + id,
    method: 'get'
  })
}

// 更新文章
export function updateArticle(data) {
  return request({
    url: process.env.BASE_CMS_API + '/article/update',
    method: 'post',
    data: data
  })
 }

// 删除分类
export function deleteArticle(data) {
  return request({
    url: process.env.BASE_CMS_API + '/article/delete',
    method: 'delete',
    params: data
  })
}


// 分类列表
export function categoriesList(query){
  return request({
    url:process.env.BASE_CMS_API+"/articleCategories/list",
    method:'get',
    params:query
  })
 }

// 新增分类
export function createCategories(data) {
  return request({
    url: process.env.BASE_CMS_API + '/articleCategories/save',
    method: 'post',
    data: data
  })
}

// 删除分类
export function deleteCategories(data) {
  return request({
    url: process.env.BASE_CMS_API + '/articleCategories/delete',
    method: 'delete',
    params: data
  })
}

// 通过ID查询分类
export function getCategoriesInfo(id) {
  return request({
    url: process.env.BASE_CMS_API + '/articleCategories/info/' + id,
    method: 'get'
  })
}

// 更新分类
export function updateCategories(data) {
  return request({
    url: process.env.BASE_CMS_API + '/articleCategories/update',
    method: 'post',
    data: data
  })
}
// 搜索文章
export function articleSearch(query) {
return request({
    url: process.env.BASE_CMS_API + '/article/articleSearch',
    method:'get',
    params:query
})
}
