import request from '@/utils/request'

//文章类型删除
export function articleTypeDelete(data) {
  return request({
    url: process.env.BASE_CMS_API + '/articleType/delete',
    method: 'delete',
    params: data
  })
}

// 获取文章类型列表
export function articleTypeList(query) {
  return request({
    url: process.env.BASE_CMS_API + '/articleType/list',
    method: 'get',
    params: query
  })
}

// 通过id查询信息
export function articleTypeDetail(id) {
  return request({
    url: process.env.BASE_CMS_API + '/articleType/info/' + id,
    method: 'get'
  })
}

// 保存新的类型
export function articleTypeSave(data) {
  return request({
    url: process.env.BASE_CMS_API + '/articleType/save',
    method: 'post',
    data
  })
}

// 更新类型
export function articleTypeUpdate(data) {
  return request({
    url: process.env.BASE_CMS_API + '/articleType/update',
    method: 'put',
    data
  })
}


