import requestAuth from '@/utils/requestAuth'

import requestPIM from '@/utils/requestPIM'

//组织集合
export function orgCombobox(query) {
	return requestAuth({
		url:  '/sysOrg/orgCombobox',
		method: 'get',
		params: query
	})
}

// 组织搜索
export function orgSearch(query) {
	return requestAuth({
		url:  '/sysOrg/search',
		method: 'get',
		params: query
	})
}

// 获取组织列表
export function fetchList(query) {
	return requestAuth({
		url:  '/sysOrg/list',
		method: 'get',
		params: query
	})
}

// 获取组织列表
export function sysOrgList(query) {
	return requestAuth({
		url:  '/sysOrg/list',
		method: 'get',
		params: query
	})
}

// 创建组织
export function createOrg(data) {
	return requestAuth({
		url:  '/sysOrg/save',
		method: 'post',
		data
	})
}
// 更新组织信息
export function updateOrg(data) {
	return requestAuth({
		url:  '/sysOrg/update',
		method: 'post',
		data
	})
}
// 删除组织信息
export function deleteOrg(id) {
	return requestAuth({
		url:  '/sysOrg/delete',
		method: 'delete',
		params: {
			orgId: id
		}
	})
}
// 通过id查询组织信息
export function getOrgById(id) {
	return requestAuth({
		url:  '/sysOrg/info/' + id,
		method: 'get'
	})
}


// 获取资源数和组织资源关系
export function getOrgResTree(id) {
	return requestAuth({
		url:  '/sysOrgResRel/list',
		method: 'get',
		params: {
			orgId: id
		}
	})
}


// 获取组织列表（键值对，ID:名称）
export function fetchOrgKeyValueList() {
  return requestAuth({
    url:  '/sysOrg/keyValueList',
    method: 'get'
  })
}


export function getOrgDistributionChannel(id){
	return requestPIM({
    url: '/pimOrgDistributionChannel/list',
    method: 'get',
    params: { orgId: id }
  })
}

export function saveOrgDistributionChannel(data){
	return requestPIM({
    url: '/pimOrgDistributionChannel/save',
    method: 'post',
    data
  })
}

