import request from '@/utils/requestPIM'
// 获取属性列表
export function fetchList(data) {
  return request({
    url:   '/pimCategory/list',
    method: 'post',
    data
  })
}
//获取分类树形结构
export function categoryTree(query){
  return request({
    url:   '/pimCategory/tree',
    method: 'get',
    params: query
  })
}
//叶子分类列表
export function leafCategoryList(query){
  return request({
    url: '/pimCategory/leafCategoryList',
    method:'get',
    params:query
  });
}
//平台分类和来源渠道分类绑定 - 如服装分类 平台分类就是根据天猫的分类进行设置的所以渠道分类直接绑定
export function bindOriginChannelCategory() {
  return request({
    url:   '/pimCategoryMapping/bindOriginChannel',
    method: 'get',
  })
}
//获取已经绑定的数据 - 编辑使用
export function queryCategoryBindData(categoryId) {
  return request({
    url:'/pimCategoryMapping/queryCategoryBindData/'+categoryId,
    method: 'get',
  })
}
//绑定渠道分类 - 保存绑定信息
export function bindChannelCategoryData(data){
  return request({
    url:   '/pimCategoryMapping/bindChannelCategory',
    method: 'post',
    data
  })
}
//根据渠道属性 生成 平台属性
export function channel2PlatformCategoryApply(data){
  return request({
    url:"/pimCategory/channel2PlatformCategoryApply",
    method: 'post',
    data
  })
}

//查询分类属性与渠道属性的比较关系
export function queryCategoryAttrCompare(query){
  return request({
    url:'/pimCategoryMapping/queryCategoryAttrCompare',
    method:'get',
    params: query
  })
}















// 创建分类
export function createCategory(data) {
  return request({
    url:   '/pimCategory/save',
    method: 'post',
    data
  })
}
// 更新属性信息
export function updateCategory(data) {
  return request({
    url:   '/pimCategory/update',
    method: 'PUT',
    data
  })
}
// 删除目录
export function deleteCategory(id) {
  return request({
    url:   '/pimCategory/delete',
    method: 'delete',
    params: { id: id }
  })
}


// 自动绑定
export function autoBind(data) {
	return request({
    url:   '/pimCategory/autoBindCsc',
    method: 'GET',
    params: data
 })
}

//获取跟目录
export function getRootCategory(){
	return request({
	  url:   '/pimCategory/getRootCategory',
	  method: 'get'
	})
}
//叶子节点
export function getLeafCategory(categoryId){
	return request({
    url:   '/pimCategory/getLeafCategory',
    method: 'post',
    params: { categoryId: categoryId }
 })
}












