import request from '@/utils/requestPIM'


//查询渠道分类属性
export function queryPropList(query){
  return request({
    url:'/standardCategoryProp/list',
    method:'get',
    params:query
  });
}

//查询渠道属性 - 用于设置属性类型 （数据字典使用）
export function standardPropComboboxPage(query){
  return request({
    url:'/standardCategoryProp/propComboboxPage',
    method:'get',
    params:query
  });
}

//查询渠道属性内容 - 包括属性、属性值、规则
export function standardPropDataPage(query){
  return request({
    url:'/standardCategoryProp/standardPropDataPage',
    method:'get',
    params:query
  });
}

//属性模块化 -> 将属性按照商品属性，销售属性，图片属性，售后属性，固定属性（价格，款号）等进行标记
export function standardPropModularity(data){
  return request({
    url:'/standardCategoryProp/standardPropModularity',
    method:'PUT',
    data
  });
}

//属性分布的模块 的聚合
export function standardPropModuleAgg(query){
  return request({
    url:'/standardCategoryProp/propModuleAgg',
    method:'get',
    params:query
  });
}

//获取标准属性内容 - 更具属性类型
export function standardPropContentByPropType(query){
  return request({
    url:'/standardCategoryProp/propDataByPropType',
    method:'get',
    params:query
  });
}


