import request from '@/utils/requestPIM'

export function fetchList(query) {
  return request({
    url:  '/pimWatermarkImg/list',
    method: 'get',
    params: query
  })
}

export function fetchCustomList(query) {
  return request({
    url:   '/pimWatermarkRule/customelist',
    method: 'get',
    params: query
  })
}

export function updateWaterImg(query) {
  return request({
    url:  '/pimWatermarkImg/updateOrCreate',
    method: 'post',
    params: query
  })
}
export function deleteWaterImg(query) {
  return request({
    url:  '/pimWatermarkImg/delete',
    method: 'post',
    params: query
  })
}

/**
 * 查询水印规则
 * @param query
 */
export function getRuleList(query) {
  return request({
    url:  '/pimWatermarkRule/list',
    method: 'post',
    params: query
  })
}

/**
 * 获取渠道列表
 * @param query
 */
export function getChannelList(query) {
  return request({
    url:  '/pimWatermarkRule/channel_list',
    method: 'post',
    params: query
  })
}
/*
创建水印规则
 */
export function createWaterMarkRule(data) {
  return request({
    url:  '/pimWatermarkRule/save',
    method: 'post',
    data
  })
}

/*
更新水印规则
 */
export function updateWaterMarkRule(data) {
  return request({
    url:  '/pimWatermarkRule/update',
    method: 'post',
    data
  })
}

/*
更新水印规则
 */
export function getWaterMarkRule(id) {
  return request({
    url:  '/pimWatermarkRule/info/' + id,
    method: 'get'
  })
}

/*
删除水印规则
 */
export function deleteWaterMarkRule(id) {
  return request({
    url:  '/pimWatermarkRule/delete',
    method: 'post',
    params: { id: id }
  })
}

/*
创建水印规则组
 */
export function createWaterMarkRuleGroup(data) {
  return request({
    url:  '/pimWatermarkRuleGroup/save',
    method: 'post',
    data
  })
}

/*
更新水印规则组
 */
export function updateWaterMarkRuleGroup(data) {
  return request({
    url:  '/pimWatermarkRuleGroup/update',
    method: 'post',
    data
  })
}

// 删除水印组
export function deleteWaterMarkRuleGroup(id) {
  return request({
    url:  '/pimWatermarkRuleGroup/delete',
    method: 'delete',
    params: { id: id }
  })
}

/*
更新水印规则组
 */
export function updateWaterGroupStatus(id, active) {
  return request({
    url:  '/pimWatermarkRuleGroup/updateStatus',
    method: 'put',
    params: { id: id, active: active }
  })
}

/*
更新水印规则组
 */
export function updateWaterMarkRuleStatus(id, active) {
  return request({
    url:  '/pimWatermarkRule/updateStatus',
    method: 'put',
    params: { id: id, active: active }
  })
}
