import request from '@/utils/request'
/**------------------------ 标签 ---------------------**/

// 获取标签列表
export function fetchLabelList(query) {
  return request({
    url: process.env.BASE_AUTH_API + '/sysOrgLabel/list',
    method: 'get',
    params: query
  })
}

// 获取标签
export function getLabelObject(labelId) {
  return request({
    url: process.env.BASE_AUTH_API + '/sysOrgLabel/info/'+labelId,
    method: 'get'
  })
}

// 创建标签
export function createLabel(data) {
  return request({
    url: process.env.BASE_AUTH_API + '/sysOrgLabel/save',
    method: 'post',
    data
  })
}
// 更新标签
export function updateLabel(data) {
  return request({
    url: process.env.BASE_AUTH_API + '/sysOrgLabel/update',
    method: 'post',
    data
  })
}

//获取全部的标签
export function queryLableAll(query){
	return request({
		url: process.env.BASE_AUTH_API + '/sysOrgLabel/listAll',
    method: 'get',
    params: query
	});
}

export function queryLabelRes(query){
	return request({
		url: process.env.BASE_AUTH_API + '/sysOrgLabelRel/list',
    method: 'get',
    params: query
	});
}
// 保存标签资源
export function saveOrgLabelRes(data){
	return request({
    url: process.env.BASE_AUTH_API + '/sysOrgLabelRel/save',
    method: 'post',
    data
 });
}

