import request from '@/utils/requestPIM'

export function fetchList(query){
	return request({
	    url:  '/pimModelBasic/list',
	    method: 'get',
	    params: query
    })
}

export function queryObject(id){
	return request({
	    url:  '/pimModelBasic/info/'+id,
	    method: 'get',
	    params: id
    })
}

export function createModel(data){
	return request({
	    url:  '/pimModelBasic/save',
	    method: 'post',
	    data
    })
}

export function updateModel(data) {
	return request({
	    url:  '/pimModelBasic/update',
	    method: 'put',
	    data
    })
}

export function deleteModel(id) {
	return request({
	    url:  '/pimModelBasic/delete',
	    method: 'delete',
	    params: {modelId: id }
    })
}
