import request from '@/utils/requestOms'

export function queryUnboundCountry(id){
  return request({
    url:  '/addressAreas/queryUnboundCountry',
    method: 'get',
    params: {id:id}
  });
}

// 列表
export function fetchList(query) {
  return request({
    url: "/addressAreas/list",
    method: "get",
    params: query
  });
}

// 详情
export function getById(id) {
  return request({
    url: "/addressAreas/info/" + id,
    method: "get"
  });
}

// 保存
export function save(data) {
  return request({
    url: "/addressAreas/save",
    method: "post",
    data
  });
}

export function deleteById(id){
  return request({
    url:  '/addressAreas/delete',
    method: 'delete',
    params: {id:id}
  });
}
