import request from "@/utils/requestOms";

export function fetchList(query) {
  return request({
    url: "/channel/list",
    method: "get",
    params: query
  });
}

//更新修改渠道
export function editChannel(data){
  return request({
    url: '/channel/editChannel',
    method: 'post',
    data
  });
}

export function deleteChannelById(id) {
  return request({
    url: '/channel/delete',
    method: 'delete',
    params: {id:id}
  });
}

export function storeList(query) {
  return request({
    url: "/channelStore/list",
    method: "get",
    params: query
  });
}

export function editStore(data) {
  return request({
    url: '/channelStore/editStore',
    method: 'post',
    data
  });
}

export function deleteStoreById(id) {
  return request({
    url: '/channelStore/delete',
    method: 'delete',
    params: {id:id}
  });
}

export function countryList(query) {
  return request({
    url: "/country/list",
    method: "get",
    params: query
  });
}

export function editCountry(data) {
  return request({
    url: '/country/editCountry',
    method: 'post',
    data
  });
}

export function deleteCountryById(id) {
  return request({
    url: '/country/delete',
    method: 'delete',
    params: {id:id}
  });
}

export function productList(query) {
  return request({
    url: "/orderSourceRulePriorProduct/list",
    method: "get",
    params: query
  });
}

export function deleteProductById(id) {
  return request({
    url: '/orderSourceRulePriorProduct/delete',
    method: 'delete',
    params: {id:id}
  });
}

//店铺寻源规则绑定
export function storeOrderRuleList(query) {
  return request({
    url: "/storeOrderRule/list",
    method: "get",
    params: query
  });
}

export function editStoreRule(data) {
  return request({
    url: '/storeOrderRule/editRule',
    method: 'post',
    data
  });
}

export function deleteStoreRuleById(id) {
  return request({
    url: '/storeOrderRule/delete',
    method: 'delete',
    params: {id:id}
  });
}

//查询物流规则渠道数据
export function logisticsList(query) {
  return request({
    url: "/logisticsMatchingRule/list",
    method: "get",
    params: query
  });
}

export function saveLogistics(data) {
  return request({
    url: "/logisticsMatchingRule/save",
    method: "post",
    data
  });
}

export function getLogisticsById(id) {
  return request({
    url: "/logisticsMatchingRule/info/" + id,
    method: "get"
  });
}

export function deleteLogisticsById(id){
  return request({
    url:  '/logisticsMatchingRule/delete',
    method: 'delete',
    params: {id:id}
  });
}

export function logisticsDetailSave(data) {
  return request({
    url: "/logisticsMatchingRuleDetails/save",
    method: "post",
    data
  });
}

export function logisticsDetailList(query) {
  return request({
    url: "/logisticsMatchingRuleDetails/list",
    method: "get",
    params: query
  });
}

export function logisticsDetailDelete(id){
  return request({
    url:  '/logisticsMatchingRuleDetails/delete',
    method: 'delete',
    params: {id:id}
  });
}

export function logisticsCompanyList(query) {
  return request({
    url: "/logisticsCompany/list",
    method: "get",
    params: query
  });
}

export function editLogisticsCompany(data) {
  return request({
    url: "/logisticsCompany/save",
    method: "post",
    data
  });
}

export function getLogisticsCompanyById(id) {
  return request({
    url: "/logisticsCompany/info/" + id,
    method: "get"
  });
}

export function deleteLogisticsCompanyById(id){
  return request({
    url:  '/logisticsCompany/delete',
    method: 'delete',
    params: {id:id}
  });
}

export function getLogisticsCompany(query) {
  return request({
    url: "/logisticsCompany/list",
    method: "get",
    params: query
  });
}
