import request from '@/utils/requestOms'

export function detailDelete(id){
  return request({
    url:  '/orderSourceRuleDetail/delete',
    method: 'delete',
    params: {id:id}
  });
}

// 保存
export function detailSave(data) {
  return request({
    url: "/orderSourceRuleDetail/save",
    method: "post",
    data
  });
}

// 列表
export function detailList(query) {
  return request({
    url: "/orderSourceRuleDetail/list",
    method: "get",
    params: query
  });
}

// 列表
export function fetchList(query) {
  return request({
    url: "/orderSourceRule/list",
    method: "get",
    params: query
  });
}

// 详情
export function getById(id) {
  return request({
    url: "/orderSourceRule/info/" + id,
    method: "get"
  });
}

// 保存
export function save(data) {
  return request({
    url: "/orderSourceRule/save",
    method: "post",
    data
  });
}

export function deleteById(id){
  return request({
    url:  '/orderSourceRule/delete',
    method: 'delete',
    params: {id:id}
  });
}

export function getLogisticsRule(id) {
  return request({
    url: "/sourceLogisticsRelation/logisticsInfo/" + id,
    method: "get"
  });
}

export function saveLogisticsRule(data) {
  return request({
    url: "/sourceLogisticsRelation/saveLogisticsRule",
    method: "post",
    data
  });
}

export function deleteRelationByDetailId(id){
  return request({
    url:  '/sourceLogisticsRelation/deleteRelationByDetailId',
    method: 'delete',
    params: {detailId:id}
  });
}
