import request from '@/utils/requestOms'

const warehouseTypeOptions = [
  { key: 10, display_name: "歌莉娅WMS" },
  { key: 20, display_name: "国内电商仓" },
  { key: 30, display_name: "国内海外仓" },
  { key: 40, display_name: "海外门店" },
  { key: 50, display_name: "顺丰仓" },
  { key: 60, display_name: "数据仓" }
];
export const warehouseTypeValue = warehouseTypeOptions.reduce((acc, cur) => {
  acc[cur.key] = cur.display_name;
  return acc;
}, {});

// 列表
export function fetchList(query) {
  return request({
    url:  '/inventory/list',
    method: 'get',
    params: query
  })
}

export function fetchVirtualList(query) {
  return request({
    url:  '/virtualInventory/list',
    method: 'get',
    params: query
  })
}

//根据skuId获取可卖库存
export function getAvailableAmountBySkuId(query) {
  return request({
    url:  '/tInventory/getAvailableAmountBySkuId',
    method: 'get',
    params: query
  })
}

//手动推送
export function manualPush(query) {
  return request({
    url:  '/tInventory/manualPush',
    method: 'get',
    params: query
  })
}

//立即重算
export function manualRecalculate(query) {
  return request({
    url:  '/tInventory/manualRecalculate',
    method: 'get',
    params: query
  })
}

//查询仓库列表
export function getWarehouseList(query) {
  return request({
    url:  '/warehouse/list',
    method: 'get',
    params: query
  })
}

//立即推送
export function pushToShopify(query) {
  return request({
    url:  '/virtualInventory/pushToShopify',
    method: 'get',
    params: query
  })
}
//状态代码
const statusOptions = [
  { key: '0', display_name: '未启用' },
  { key: '1', display_name: '已启用' }
]
//转换状态代码方法
export const statusKeyValue = statusOptions.reduce((acc, cur) => {
  acc[cur.key] = cur.display_name
  return acc
}, {})

//查询列表
export function alertList(query) {
  return request({
    url:  '/inventoryAlert/list',
    method: 'get',
    params: query
  })
}
//修改状态
export function updateStatus(query) {
  return request({
    url:  '/inventoryAlert/updateStatue',
    method: 'put',
    data: query
  })
}

//更新内容
export function update(query) {
  return request({
    url:  '/inventoryAlert/update',
    method: 'put',
    data: query
  })
}
//删除
export function deleteDate(id) {
  return request({
    url:  '/inventoryAlert/delete',
    method: 'DELETE',
    params: { id: id }
  })
}
//商店名称
export function queryStoreName(query) {
  return request({
    url:  '/inventoryAlert/queryStore',
    method: 'GET',
    data: query
  })
}
export function queryChannelStore(query) {
  return request({
    url:  '/channelStore/queryChannelStore',
    method: 'get',
    params: query
  })
}

export function queryChannel(query) {
  return request({
    url:  '/channel/queryChannel',
    method: 'get',
    params: query
  })
}

// 查询库存预警结果表
export function queryAlertResultList(query) {
  return request({
    url:  '/inventoryAlertResults/queryPartNumberList',
    method: 'get',
    params: query
  })
}
export function queryAlertResultSkuList(query) {
  return request({
    url:  '/inventoryAlertResults/queryPartSkuList',
    method: 'get',
    params: query
  })
}
