import request from '@/utils/requestOms'

//
export function returnWarehouseList(query) {
  return request({
    url:  '/warehouse/returnWarehouseList',
    method: 'get',
    params: query
  })
}
// 列表
export function fetchList(query) {
  return request({
    url:  '/warehouse/list',
    method: 'get',
    params: query
  })
}

//更新修改退货仓库信息
export function editReturnWarehouse(data){
  return request({
    url:  '/warehouse/editReturnWarehouse',
    method: 'post',
    data
  });
}

//更新修改仓库信息
export function editWarehouse(data){
  return request({
    url:  '/warehouse/editWarehouse',
    method: 'post',
    data
  });
}
//获取仓库信息
export function getWarehouseList(query) {
  return request({
    url:  '/warehouse/getWarehouse',
    method: 'get',
    params: query
  })
}

// 获取店铺
export function getStoreList(query) {
  return request({
    url:  '/warehouse/getStore',
    method: 'get',
    params: query
  })
}

//获取国家
export function getCounrtyList(query) {
  return request({
    url:  '/warehouse/getCountry',
    method: 'get',
    params: query
  })
}
//获取国家编码
export function getCounrtyCodeList(query) {
  return request({
    url:  '/warehouse/getCountryCode',
    method: 'get',
    params: query
  })
}
export function getById(id) {
  return request({
    url:  '/warehouse/info/'+id,
    method: 'get',
  })
}

export function save(data){
  return request({
    url:  '/warehouse/save',
    method: 'post',
    data: data
  });
}
export function editStatus(query){
  return request({
    url:  '/warehouse/editStatus',
    method: 'get',
    params: query
  });
}
const typeOptions = [
  	{ key: '10', display_name: '歌莉娅WMS（香港）' },
    { key: '20', display_name: '国内电商仓（国内OMS）' },
    { key: '30', display_name: '国内海外仓（国内GBP）' },
    // { key: '40', display_name: '海外门店（海外GBP）' }, 调整为 海外云仓（FGBP）
    { key: '40', display_name: '海外云仓（FGBP）' },
    { key: '50', display_name: '顺丰仓（海外顺丰）' },
    { key: '60', display_name: '数据仓（数据展示）' },
    { key: '70', display_name: '派速捷海外仓 ' }
  ]
 export const typeKeyValue = typeOptions.reduce((acc, cur) => {
    acc[cur.key] = cur.display_name
    return acc
  }, {})
 const statusOptions = [
  	{ key: '0', display_name: '未启用' },
    { key: '1', display_name: '生效中' },
    { key: '2', display_name: '关闭' }
  ]
 export const statusKeyValue = statusOptions.reduce((acc, cur) => {
    acc[cur.key] = cur.display_name
    return acc
  }, {})

export function getReturnWarehouseInfo(id) {
  return request({
    url:  '/warehouse/returnWarehouseInfo/'+id,
    method: 'get'
  })
}
export function getLocation(date) {
  return request({
    url:  '/storeLocations/getLocation',
    method: 'get',
    params: date
  })
}


