import request from "@/utils/requestOms";
// 列表
export function fetchList(query) {
  return request({
    url: "/priceRule/list",
    method: "get",
    params: query
  });
}

// 版本
export function fetchVersions(id, query) {
  return request({
    url: `/priceRule/version/${id}`,
    method: "get",
    params: query
  });
}
// 获取详情
export function fetchDetailByIdAndVersion(query) {
  const { id, version } = query
  return request({
    url: `/priceRule/detail/${id}/${version}`,
    method: "get",
  });
}
// 新增&编辑多件多折
export function updateMutiDiscount(data) {
  return request({
    url: "/priceRule/editMultiplePieceDiscount",
    method: "post",
    data
  });
}
// 删除折扣
export function deleteMutiDiscount(query) {
  return request({
    url: "/priceRule/delete",
    method: "delete",
    params: query
  });
}
// 启用禁用折扣
export function updateStatusMutiDiscount(query) {
  return request({
    url: "/priceRule/updateStatus",
    method: "post",
    params: query
  });
}
// 商品标签列表
export function getProductTagList(query) {
  return request({
    url: "/product/tag/list",
    method: "get",
    params: query
  });
}
// 根据标签查询货品
export function getProductBuyTag(query) {
  return request({
    url: "/product/getListByTags",
    method: "get",
    params: query
  });
}
