import request from "@/utils/requestOms";

// 列表
export function fetchList(query) {
  return request({
    url: "/promotion/list",
    method: "get",
    params: query
  });
}

// 详情
export function getById(id) {
  return request({
    url: "/promotion/info/" + id,
    method: "get"
  });
}

// 保存
export function save(data) {
  return request({
    url: "/promotion/save",
    method: "post",
    data
  });
}
// 更新
export function update(data) {
  return request({
    url: "/promotion/update",
    method: "put",
    data
  });
}

export function deleteById(id) {
  return request({
    url: "/promotion/delete",
    method: "delete",
    params: { id: id }
  });
}

export function storeList() {
  return request({
    url: "/promotion/store",
    method: "get"
  });
}

// 审核
export function checkPromotion(data) {
  return request({
    url: "/promotion/check",
    method: "post",
    data
  });
}

/**
 * 变更启用状态
 */
export function changeStatus(id) {
  return request({
    url: "/promotion/status/" + id,
    method: "get"
  });
}

/**
 * 促销操作日志
 */
export function promotionLogs(query) {
  return request({
    url: "/promotionLog/list",
    method: "get",
    params: query
  });
}
