import request from "@/utils/requestOms";

// 列表
export function fetchList(query) {
  return request({
    url: "/promotionGift/list",
    method: "get",
    params: query
  });
}

// 详情
export function getById(id) {
  return request({
    url: "/promotionGift/info/" + id,
    method: "get"
  });
}

// 保存
export function save(data) {
  return request({
    url: "/promotionGift/save",
    method: "post",
    data
  });
}
// 更新
export function update(data) {
  return request({
    url: "/promotionGift/update",
    method: "put",
    data
  });
}

export function deleteById(id) {
  return request({
    url: "/promotionGift/delete",
    method: "delete",
    params: { id: id }
  });
}

// 促销配置列表
export function promotionList() {
  return request({
    url: "/promotionGift/promotionList",
    method: "get"
  });
}

// 仓库列表
export function warehouseList() {
  return request({
    url: "/promotionGift/warehouse",
    method: "get"
  });
}
