import request from "@/utils/requestOms";

//刷新物流轨迹
export function updateCargoTrack(query) {
  return request({
    url: "/ordersRefund/updateCargoTrack",
    method: "get",
    params: query
  });
}
//物流轨迹
export function cargoTrackList(query) {
  return request({
    url: "/ordersRefund/getCargoTrack",
    method: "get",
    params: query
  });
}

//手动退款成功
export function manualRefundSuccess(query) {
  return request({
    url: "/ordersRefund/manualRefundSuccess",
    method: "get",
    params: query
  });
}

export function fetchList(query) {
  return request({
    url: "/ordersRefund/list",
    method: "get",
    params: query
  });
}
export function RequestExcel(param) {
  return request({
    url: "/ordersRefund/uploadExcel",
    method: "post",
    params: param
  });
}
export function getRefundInfo(id) {
  return request({
    url: "/ordersRefund/info/" + id,
    method: "get"
  });
}

export function getDetailListByRefundId(id) {
  return request({
    url: "/ordersRefund/getDetailListByRefundId/" + id,
    method: "get"
  });
}

export function getNewRefundInfo(id) {
  return request({
    url: "/ordersRefund/newInfo/" + id,
    method: "get"
  });
}

export function saveRefund(data) {
  return request({
    url: "/ordersRefund/save",
    method: "post",
    data
  });
}
// 旧版本 客户创建售后单
export function saveRefundNew(data) {
  return request({
    url: "/ordersRefund/saveNew",
    method: "post",
    data
  });
}
// 新版本 多件多折 客户创建售后单
export function backstageSubmitRefund(data) {
  return request({
    url: "/ordersRefund/backstageSubmitRefund",
    method: "post",
    data
  });
}
export function updateRefund(data) {
  return request({
    url: "/ordersRefund/update",
    method: "put",
    data
  });
}
export function updateshipping(data) {
  return request({
    url: "/ordersRefund/updateshipping",
    method: "put",
    data
  });
}
export function warehouseList(id) {
  return request({
    url: "/ordersRefund/warehouseList",
    method: "get"
  });
}
export function rejectRefund(id, refundId) {
  return request({
    url: "/ordersRefund/rejectRefund",
    method: "get",
    params: { id: id, refundId: refundId }
  });
}

export function cancel(data) {
  return request({
    url: "/ordersRefund/cancel",
    method: "put",
    data
  });
}
//查询退件目的仓
export function queryTWarehouseNameALL() {
  return request({
    url: "/orders/queryTWarehouseName",
    method: "get"
  });
}
export function checkCw(data) {
  return request({
    url: "/ordersRefund/checkCw",
    method: "put",
    data
  });
}
export function checkKf(data) {
  return request({
    url: "/ordersRefund/checkKf",
    method: "put",
    data
  });
}
export function checkRefundCalculates(data) {
  return request({
    url: "/ordersRefund/checkRefundCalculates",
    method: "put",
    data
  });
}

//修改内部备注
export function addNote(query) {
  return request({
    url: "/ordersRefund/handleAddNote",
    method: "get",
    params: query
  });
}

export function batchReview(data) {
  return request({
    url: "/ordersRefund/batchReview",
    method: "post",
    data
  });
}

export function getRefundType(data) {
  return request({
    url: "/ordersRefund/getRefundType",
    method: "get",
    params: data
  });
}

export function getRefundReason(query) {
  return request({
    url: "/ordersRefund/getReasonList",
    method: "get",
    params: query
  });
}

//验证导出退款
export function verifyExport(query) {
  return request({
    url: "/ordersRefund/verifyExport",
    method: "get",
    params: query
  });
}

//查询shippingLabel运费
export function queryShippingAmount(refundInfo) {
  return request({
    url: "/ordersRefund/queryShippingAmount",
    method: "get",
    params: {
      wareHouseCode: refundInfo.warehouseCode,
      refundNo: refundInfo.refundNo
    }
  });
}

//异常处理，先注释
// export function releaseExceptions(data) {
//   return request({
//     url: "/ordersRefund/releaseExceptions",
//     method: "get",
//     params: {"id":data}
//   });
// }

export function validPromotionReq(data) {
  return request({
    url: "/ordersRefund/validPromotion",
    method: "post",
    data
  });
}
// 客服提交售后申请版本查询
export function checkRefundVersions(data) {
  return request({
    url: "/ordersRefund/getRefundVersions",
    method: "get",
    data
  });
}
// 客服提交售后申请预览
export function checkSubmitRefund(data) {
  return request({
    url: "/ordersRefund/backstageCheckSubmitRefund",
    method: "post",
    data
  });
}
// 退款单获取折扣信息
export function getRefundDiscount(data) {
  return request({
    url: "/ordersRefund/getRefundDiscount",
    method: "post",
    data
  });
}
