import request from '@/utils/requestOms'

export function fetchList(query) {
  return request({
    // url:  '/tReturnOrders/list',
    url:  '/tReturnOrders/listDetails',
    method: 'get',
    params: query
  })
}
export function getReturnInfo(id) {
  return request({
    url:  '/tReturnOrders/info/'+id,
    method: 'get'
  })
}

export function saveReturn(data) {
  return request({
    url:  '/tReturnOrders/save',
    method: 'post',
    data
  })
}
export function updateConfirmSh(data) {
  return request({
    url:  '/tReturnOrders/updateConfirmSh',
    method: 'PUT',
    data
  })
}

export function getExceptionUniqueCode(id) {
  return request({
    url:  '/tReturnOrders/exceptionInfo/'+id,
    method: 'get'
  })
}

export function dealReturnException(data) {
  return request({
    url:  '/tReturnOrders/dealReturnException',
    method: 'PUT',
    data
  })
}

//验证导出退货
export function verifyExport(query){
  return request({
    url: "/tReturnOrders/verifyExport",
    method: "get",
    params: query
  });
}

export function getShippingFeeList(data) {
  return request({
    url: "/slShippingFeeRule/list",
    method: "get",
    params: data
  });
}

export function saveSL(data) {
  return request({
    url: "/slShippingFeeRule/save",
    method: "post",
    data
  });
}

export function deleteSL(data) {
  return request({
    url: "/slShippingFeeRule/delete",
    method: "post",
    data
  });
}
export function matchingOrders(param1, param2) {
  return request({
    url: "/tReturnOrders/matchingOrders",
    method: "get",
    params: {
      orderDetilsId: param1,
      returnOrdDetailId: param2
    }
  });
}
export function antiMatchingOrders(data) {
  return request({
    url: "/tReturnOrders/antiMatchingOrders",
    method: "get",
    params: {
      returnOrdDetailId: data
    }
  });
}


