import request from "@/utils/requestIms";

export function fetchList(query) {
  return request({
    url: "/imsAdjustBill/list",
    method: "get",
    params: query
  });
}

export function save(data) {
  return request({
    url: "/imsAdjustBill/save",
    method: "post",
    data
  });
}

export function getById(id) {
  return request({
    url: "/imsAdjustBill/info/" + id,
    method: "get"
  });
}

// 更新
export function update(data) {
  return request({
    url: "/imsAdjustBill/update",
    method: "put",
    data
  });
}

export function deleteById(id) {
  return request({
    url: "/imsAdjustBill/delete",
    method: "delete",
    params: { id: id }
  });
}

/**
 * 审核
 * @param data
 * @returns {AxiosPromise}
 */
export function audit(data) {
  return request({
    url: "/imsAdjustBill/audit",
    method: "post",
    data
  });
}

/**
 * 渠道仓库
 * @returns {AxiosPromise}
 */
export function channelWarehouse() {
  return request({
    url: "/imsAdjustBill/channelWarehouse",
    method: "get"
  });
}
