import request from "@/utils/requestIms";

// 列表
export function fetchList(query) {
  return request({
    url: "/imsAdjustBillDetail/list",
    method: "get",
    params: query
  });
}

// 详情
export function getById(id) {
  return request({
    url: "/imsAdjustBillDetail/info/" + id,
    method: "get"
  });
}

// 保存
export function save(data) {
  return request({
    url: "/imsAdjustBillDetail/save",
    method: "post",
    data
  });
}

// 更新
export function update(data) {
  return request({
    url: "/imsAdjustBillDetail/update",
    method: "put",
    data
  });
}

export function deleteById(id) {
  return request({
    url: "/imsAdjustBillDetail/delete",
    method: "delete",
    params: { id: id }
  });
}
