import request from '@/utils/requestPIM'

// 获取文件列表
export function fetchFileList(query) {
  return request({
    url:  '/pimFile/list',
    method: 'get',
    params: query
  })
}

// 创建目录
export function createPimFile(data) {
  return request({
    url:  '/pimFile/save',
    method: 'post',
    data
  })
}

// 删除文件
export function deletePimFile(id) {
  console.log('data'+id);
  return request({
    url:  '/pimFile/delete',
    method: 'delete',
    params: { id: id }
  })
}
// 通过id查询信息
export function getPimFileById(id) {
  return request({
    url:  '/pimFile/info/' + id,
    method: 'get'
  })
}
