import request from '@/utils/requestPIM'

// 获取属性列表
export function fetchList(query) {
  return request({
    url:   '/pimAttr/list',
    method: 'get',
    params: query
  })
}

//获取商品销售属性
export function getSaleAttrsList(query) {
  return request({
    url:   '/pimAttr/saleList',
    method: 'get',
    params: query
  })
}

//获取目录指定销售属性的销售属性值
export function getSaleAttrValsByAttrId(query) {
  return request({
    url:  '/pimAttrVal/listBySaleAttrId',
    method: 'get',
    params: query
  })
}

//更新商品目录的销售属性
export function updateCategorySaleAttrVals(data) {
  return request({
    url:  '/pimCategorySaleAttr/updateCategorySaleAttrVals',
    method:'post',
    data
  })
}

//根据类型获取属性
export function getAttrAndValList(query) {
  return request({
    url:   '/pimAttr/list/byType',
    method: 'get',
    params: query
  })
}

//获取属性值根据属性ID
export function getAttrValByAttrId(query){
  return request({
    url:   '/pimAttrVal/listByAttrId',
    method: 'get',
    params: query
  })
}

//行业属性选项
export function industryProductAttr(query) {
  return request({
    url:   '/pimAttr/industryProductAttr',
    method: 'get',
    params: query
  })
}

//zx改，获取当前选中属性值集合
export function attrValuesByAttrId(query){
  return request({
    url:   '/pimAttrVal/attrValuesByAttrId',
    method: 'get',
    params: query
  })
}

export function queryTemplateAttrValues(query) {
  return request({
    url:   "/pimTemplateAttrVal/queryTemplateAttrValues",
    method: 'get',
    params: query
  })
}
// 创建属性
export function createAttr(data) {
  return request({
    url:   '/pimAttr/save',
    method: 'post',
    data
  })
}
// 更新属性信息
export function updateAttr(data) {
  return request({
    url:   '/pimAttr/update',
    method: 'PUT',
    data
  })
}
// 删除属性信息
export function deleteAttr(id) {
  return request({
    url:   '/pimAttr/delete',
    method: 'delete',
    params: {attrId: id }
  })
}


// 删除属性信息
export function deleteAttrVal(id) {
  return request({
    url:   '/pimAttrVal/delete',
    method: 'delete',
    params: {id: id }
  })
}
// 通过id查询属性信息
export function getAttrById(id) {
  return request({
    url:   '/pimAttr/info/' + id,
    method: 'get'
  })
}
// 保存属性-属性值关系
export function createAttrVal(data) {
  return request({
    url:   '/pimAttrVal/save',
    method: 'post',
    data
  })
}

// 跟新属性-属性值关系
export function updateAttrVal(data) {
  return request({
    url:   '/pimAttrVal/update',
    method: 'PUT',
    data
  })
}

// 获取属性和属性值关系
export function getAttrValList(query) {
  return request({
    url:   '/pimAttrVal/list',
    method: 'get',
    params: query
  })
}

//根据模板id与商品属性id获取商品属性
export function getAttrByTemplateIdAndAttrId(query) {
  return request({
    url:  '/pimAttr/info',
    method: 'get',
    params: query
  })
}

//获取组织关系
export function getSelectType(query) {
  return request({
    url:   '/pimAttr/getSelectType',
    method: 'get',
    params: query
  })
}



//获取属性值
export function getAttrValByID(attrValId) {
  return request({
    url:   '/pimAttrVal/info/'+attrValId,
    method: 'get'
  })
}



//弹框获取的初始化数据
export function queryInitData(query) {
  return request({
    url:   '/pimAttr/getInitData',
    method: 'get',
    params:query
  })
}

//根据父属性查子属性信息
export function getChildrenAttr(query) {
  return request({
    url:   '/pimAttr/listChildrenAttr',
    method: 'get',
    params: query
  })
}



//自定义属性
export function customList(query) {
  return request({
    url:   '/pimAttr/customList',
    method: 'get',
    params: query
  })
}

// 通过id查询属性信息
export function getCustomAttrById(id) {
  return request({
    url:   '/pimAttr/customInfo/' + id,
    method: 'get'
  })
}

// 创建属性
export function createCustomAttr(data) {
  return request({
    url:   '/pimAttr/saveCustom',
    method: 'post',
    data
  })
}
// 更新属性信息
export function updateCustomAttr(data) {
  return request({
    url:   '/pimAttr/updateCustom',
    method: 'PUT',
    data
  })
}
