import request from '@/utils/requestPIM'


export const channelCodeOption = [
  { key: "TM", display_name: '天猫' },
  { key: "TB", display_name: '淘宝' },
  { key: "JD", display_name: '京东'}
];

export const channelCodeFilter = channelCodeOption.reduce((acc, cur) => {
    acc[cur.key] = cur.display_name;
    return acc
}, {});


//获取商品分类
export function getCategory(query){
  return request({
    url:  '/pimCategoryAuth/list/byParent',
    method: 'get',
    params: query
  })
}

//获取所有叶子目录
export function getAllLeafCategoryAuth(query) {
  return request({
    url:  '/pimCategoryAuth/list/getAllLeafCategoryAuth',
    method:'get',
    params: query
  })
}

//获取指定的分类
export function getCategoryData(categoryId){
  return request({
    url:  '/pimCategoryAuth/info/'+categoryId,
    method: 'get'
  })
}

// 获取绑定关系
export function queryBindCscRelRes(query){
	return request({
    url:  '/pimCategoryAuth/bindCscRel',
    method: 'get',
    params: query
 });
}

//获取尺寸表的标题-值 ：
export function querySizeDatas(data){
	return request({
		url:  '/pimCategoryAuth/sizeTitleValue',
		method: 'post',
		data
	});
}

//获取授权目录
export function queryCategoryAuth(query){
	return request({
		url:   '/pimCategoryAuth/list',
		method: 'get',
		params:query
	});
}

//保存授权目录
export function saveCategoryAuth(data){
	return request({
    url: '/pimCategoryAuth/save',
    method: 'post',
    data
 });
}

//获取授权目录
export function categoryAuthCombobox(query){
	return request({
		url:   '/pimCategoryAuth/combobox',
		method: 'get',
		params:query
	});
}

//获取授权目录 下的叶子目录的授权销售属性
export function categoryAuthSaleAttr(query){
	return request({
		url:   '/pimCategoryAuth/saleAttr',
		method: 'get',
		params:query
	});
}

//获取授权目录 下的叶子目录的授权 指定销售属性的属性值
export function categoryAuthSaleAttrVal(query){
	return request({
		url:   '/pimCategoryAuth/saleAttrVal',
		method: 'get',
		params:query
	});
}

//获取授权目录 下的叶子目录的授权销售属性
export function industryAttr(query){
	return request({
		url:   '/pimCategoryAuth/productAttr',
		method: 'get',
		params:query
	});
}

//获取授权目录 下的叶子目录的授权 指定销售属性的属性值
export function industryAttrAttrVal(query){
	return request({
		url:   '/pimCategoryAuth/productAttrVal',
		method: 'get',
		params:query
	});
}
