import request from '@/utils/requestPIM'

//获取目录标签Table
export function getCLList(query){
  return request({
    url:   '/pimCatentryLabel/list',
    method: 'get',
    params: query
  })
}

//获取目录标签Tree
export function getCLTree(query){
  return request({
    url:   '/pimCatentryLabel/tree',
    method: 'get',
    params: query
  })
}


//获取目录标签Tree
export function getCLTreeALL(query){
  return request({
    url:   '/pimCatentryLabel/treeAll',
    method: 'get',
    params: query
  })
}

//创建目录标签
export function createCL(data) {
  return request({
    url:   '/pimCatentryLabel/save',
    method: 'post',
    data
  })
}

//更新目录标签
export function getCL(id) {
	return request({
    url:   '/pimCatentryLabel/info/'+id,
    method: 'get'
 }) 
}

//更新目录标签
export function editCL(data) {
	return request({
    url:   '/pimCatentryLabel/update',
    method: 'PUT',
    data
 }) 
}

export function getNextSortOrder(query){
	return request({
    url:   '/pimCatentryLabel/nextSortOrder',
    method: 'get',
    params: query
  })
}

export function delCL(id){
	return request({
    url:   '/pimCatentryLabel/delete',
    method: 'delete',
    params: {csclId:id}
  })
}

/**
 * 获取标签商品
 * 
 */
export function queryCatentryList(query){
	return request({
		url:   '/pimCatentryLabelRel/list',
		method: 'get',
		params: query
	});
}
