import request from '@/utils/requestPIM'

//行业列表
export function fetchList(query) {
  return request({
    url:  '/pimIndustry/list',
    method: 'get',
    params: query
  });
}

//编辑行业
export function queryObject(id) {
  return request({
    url:  '/pimIndustry/info/'+id,
    method: 'get',
  });
}

//模板行业
export function queryIndustry(query) {
  return request({
    url:  '/pimIndustry/forTemplatePerms',
    method: 'get',
    params: query
  });
}

// 创建行业
export function createIndustry(data) {
  return request({
    url:  '/pimIndustry/save',
    method: 'post',
    data
  });
}
// 更新行业
export function updateIndustry(data) {
  return request({
    url:  '/pimIndustry/update',
    method: 'post',
    data
  });
}

//获取行业属性
export function industryAttr(id) {
  return request({
    url:  '/pimIndustry/industryAttr/'+id,
    method: 'get',
  });
}

//保存行业属性
export function bindAttr(data){
	return request({
    url:  '/pimIndustry/bindAttr',
    method: 'post',
    data
  })
}

//属性已绑定的行业
export function industryByAttrId(attrId){
	return request({
    url:  '/pimIndustry/industryByAttrId',
    method: 'get',
    params: {"attrId":attrId}
 	});
}
