import request from '@/utils/requestPIM'

//备注说明
export const remarkOption = [
  { key: 1, display_name: '页面检查' },
  { key: 2, display_name: '版衣检查' },
  { key: 3, display_name: '模特图' },
  { key: 4, display_name: '吊牌图' },
  { key: 5, display_name: '平铺图' },
  { key: 6, display_name: '细节图' },
  { key: 7, display_name: '面料成分' },
  { key: 8, display_name: '洗涤说明' },
  { key: 9, display_name: '尺码表' },
  { key: 10, display_name: '缺主图' },
  { key: 11, display_name: '缺竖图' },
  { key: 12, display_name: '缺颜色图' },
  { key: 13, display_name: '缺详情图' },
  { key: -1, display_name: '其他' },
];

/**----------------------商品CURD-----------------------------**/
export function fetchList(query) {
  return request({
    url:  '/pimCatentry/list',
    method: 'get',
    params: query
  })
}

export function queryCatentry(catentryId){
  //获取商品详情 - 预览
  return request({
    url:  '/pimCatentry/info/'+catentryId,
    method: 'get'
  })
}
export function getCanPushList(param) {
  //u获取所有可以推送的商品数据
  return request({
    url:  '/pimCatentry/list/byPush',
    method: 'get',
    params: param
  })
}
export function queryCatentryPreview(catentryId){
  //获取商品详情 - 预览
  return request({
    url:  '/pimCatentry/preview/'+catentryId,
    method: 'get'
  })
}

export function createData(data){
  //保存商品
  return request({
    url:  '/pimCatentry/save',
    method: 'post',
    data: data
  });
}

//生成SKU
/**
 * saleAVSelected 选中的销售属性
 * 格式
 * {attrId:[{...},{...}]}
 * {
 *   3: [{attrValId:3,alisa:"B00黑色",...},{attrValId:4,alisa:"J22紫色",...}],
 *   4: [{attrValId:19,alisa:"L",...},{attrValId:14,alisa:"XL",...}]
 * },
 * defaultPrice : 默认价格
 * updateSkuList：商品更新时传入
 * attrValIdRelAttrValObj：属性值Id 对应 的属性值对象
 */
export function genSku(
	saleAVSelected,defaultPrice,updateSkuList,
	attrValIdRelAttrValObj){
  let skuList = [];
  let attrRelVals = []; //属性与属性值

  for(let attrId in saleAVSelected){ //attrId --> 3
    //attrVals = [{attrValId:3,alisa:"B00黑色",...},...]
    let attrVals = saleAVSelected[attrId];
    let tempArr = [];
    for(let idx in attrVals){
      //attrValId = 12
      let attrValObj = attrVals[idx];
      let obj =  {};
      obj[attrId] = attrValObj.attrValId;
      tempArr.push(obj);
    }
    attrRelVals.push(tempArr);
  }
  /**
   * initAttrVal：第一对象
   * [{3:12},{3:13}]
   */
  let i = 0;
  let initAttrVal = attrRelVals[0];
  attrRelVals.splice(0,1);
	/**
	 * attrRelVals = [
	 *  [{4:20},{4:21},{4:22}],
	 *  [{5:30},{5:31}]
	 * ]
	 */
	for(let idx in attrRelVals){//idx = 1
  	let tempArr = [];
  	for(let attrValIdx in initAttrVal ){
      //initAttrValObj = {3:12}
      let initAttrValObj = initAttrVal[attrValIdx];
      let attrValArr = attrRelVals[idx];
      //attrValArr = [{"4":20},{"4":21},{"4":22}]
      for(let idxx in attrValArr){
        let attrValObj = attrValArr[idxx];
        //attrValObj = {"4":20}
        let obj = {} ;
        for(let attrId1 in initAttrValObj){
          obj[attrId1] = initAttrValObj[attrId1];
        }
        for(let attrId2 in attrValObj){
          obj[attrId2] = attrValObj[attrId2];
        }
        tempArr.push(obj);
      }
    }
    /**
     * [{3:12,4:20},{3:12,4:21},{3:12,4:22}] - 第一次循环
     */
    initAttrVal = tempArr;
  }
  // console.log(initAttrVal);
  for(let idx in initAttrVal){
    let obj = initAttrVal[idx];

    let skuT={
      "rowNo":i++,
      "skuId":"",
      "attrAndVal":initAttrVal[idx],
      "listPrice":defaultPrice,
      "skuPartNumber":"",
      "tempAttrValues":"",
      "markedTime":null,
    };

    for(let attrId in obj){
    	let alias = "attrAndValAlias";
    	let code = "attrAndValCode";
    	let remark = "attrAndValReMark";
    	alias += attrId;
    	code += attrId;
    	remark += attrId;
    	let attrValId = obj[attrId] ;
    	let attrVal = attrValIdRelAttrValObj[attrValId];
    	skuT[alias] = attrVal.alias;
    	skuT[code] = attrVal.code;
    	skuT[remark] = attrVal.remark;
    }
    for(let idx in updateSkuList){
      let sku = updateSkuList[idx];
      let skuId = sku.catentryId;
      let flag = true;
      for(let attrId in sku.savMap){
        if(obj[attrId] != sku.savMap[attrId]){
          flag = false;
          break;
        }
      }
      if(flag){
        skuT.skuId = skuId;
        skuT.skuPartNumber = sku.skuPartNumber;
        skuT.listPrice = sku.listPrice;
        skuT.markedTime=sku.markedTime;
        break;
      }
    }
    if(skuT.markedTime==null||skuT.markedTime==undefined||skuT.markedTime=='') {
      let date = new Date();
      skuT.markedTime = date.getFullYear() + "-12-31";
    }
    skuList.push(skuT);
  }
  // console.log(JSON.stringify(skuList));

  return skuList;
}

//查询skuList
export function querySkuList(query) {
  return request({
    url:  '/pimCatentry/skuList',
    method: 'get',
    params: query
  })
}

//跟新商品
export function updateData(data){
  return request({
    url:  '/pimCatentry/update',
    method: 'post',
    data: data
  });
}

// 获取商品图片
export function getDetailImage(query){
	return request({
    url:  '/pimCatentry/detailImage',
    method: 'get',
    params: query
  });
}


export function syncR6ProductData(query){
	return request({
    url:  '/pimCatentry/syncR6Data',
    method: 'get',
    params: query
  });
}

export function syncTermData(query){
	return request({
    url:  '/pimCatentry/syncR6Term',
    method: 'get',
    params: query
  });
}

export function syncProductImg(){
	return request({
    url:  '/pimCatentry/syncProductImg',
    method: 'get'
  });
}


export function syncProductALL(){
	return request({
    url:  '/pimCatentry/syncR6DataALL',
    method: 'get'
  });
}




export function syncOMSDataALL(data){
	return request({
    url:  '/pimCatentry/syncOMSDataByPartNums',
    method: 'post',
    data
  });
}


export function processOmsData(data){
	return request({
    url:  '/pimCatentry/processOmsDataByPartNums',
    method: 'post',
    data
  });
}

//推送单个商品
export function publishProduct(query){
  return request({
    url: '/pimCatentry/publish',
    method: "get",
    params: query
  })
}
//批量推送商品
export function publishAllProduct(query) {
  return request({
    url: '/pimCatentry/publishAll',
    method: 'get',
    params: query
  })
}

//获取所有的期数
export  function getAllMarkedTime() {
  return request({
    url: '/pimCatentry/getAllMarkedTime',
    method: 'get',
  })
}

