import request from '@/utils/requestPIM'
export function loadAll(query){
   return request({
     url:'/pimRule/list',
     method:'get',
     params:query
   })
}
export function createRule(data) {
  return request({
    url:'/pimRule/save',
    method:'post',
    data
  })
}
export function getRule(ruleId) {
  return request({
    url:'/pimRule/query/'+ruleId,
    method:'get',
  })
}
export function deleteRule(ruleId){
  return request({
    url:'/pimRule/delete',
    method:'delete',
    params:{ruleId:ruleId}
  })
}
export function updateRule(data) {
  return request({
    url:'/pimRule/update',
    method:'post',
    data
  })
}
export function updateRuleType(data) {
  return request({
    url:"/pimRule/updateType",
    method:'post',
    data
  })
}
export function loadKeywords(ruleType) {
  return request({
    url:'/pimRuleKeyword/list',
    method: 'get',
    params: ruleType
  })
}
// export  function updateRuleKeywords(data){
//   return request({
//     url:'/pimRuleKeyword/update',
//     method:'post',
//     data
//   })
// }
export function insertRuleKeyword(data){
  return request({
    url:'/pimRuleKeyword/save',
    method:'post',
    data
  })
}
export function deleteRuleKeywordByKeywordId(keywordId) {
  return request({
    url:'/pimRuleKeyword/delete',
    method: 'get',
    params: keywordId
  })
}
export function saveOrUpdateRuleDetail(data) {
  return request({
    url:  "/pimRuleDetail/saveOrUpdate",
    method: 'post',
    data
  })
}
export function loadRuleDetail(ruleId) {
  return request({
    url:"/pimRuleDetail/query",
    method:'get',
    params:ruleId
  })
}
export  function syncRuleDetail(ruleId) {
   return request({
     url:"/pimRule/pimRuleDetailApply/"+ruleId,
     method:'get',
   })
}
