import request from '@/utils/requestPIM'

export const bindVals=[
  { key: '0', display_name: '未绑定'},
  { key: '1', display_name: '已绑定'}
];

//获取所有叶子目录
export function fetchList(query) {
  return request({
    url:  '/pimOutOrgCategory/list',
    method:'get',
    params: query
  })
}

//保存或者更新绑定的目录
export function saveOutCategory(data) {
  return request({
    url: '/pimOutOrgCategory/update',
    method: 'PUT',
    data
  })
}

//获取销售属性
export function querySaleAttr(query) {
  return request({
    url: '/pimChannelSaleAttr/list',
    method:'get',
    params: query
  })
}

//销售属性值
export function querySaleAttrVal(query) {
  return request({
    url: '/pimChannelSaleAttr/attrValList',
    method:'get',
    params: query
  })
}

//保存绑定关系
export function bindSave(data) {
  return request({
    url: '/pimChannelSaleAttr/update',
    method:'put',
    data
  })
}

//获取商品属性
export function queryProductAttr(query) {
  return request({
    url: '/pimOutAttr/list',
    method:'get',
    params: query
  })
}

//商品属性值
export function queryProductAttrVal(query) {
  return request({
    url: '/pimOutAttr/attrValList',
    method:'get',
    params: query
  })
}

//保存绑定关系
export function bindProductAttrSave(data) {
  return request({
    url: '/pimOutAttr/update',
    method:'put',
    data
  })
}











//获取所有尺码绑定关系的数据
export function fetchSizeList(query) {
  return request({
    url:  '/pimOutSizeRel/list',
    method:'get',
    params: query
  })
}



//保存或者更新颜色绑定关系
export function saveOutColor(data) {
  return request({
    url:  '/pimOutColorRel/update',
    method: 'post',
    data
  })
}

//保存或者更新尺码绑定关系
export function saveOutSize(data) {
  return request({
    url: '/pimOutSizeRel/update',
    method: 'post',
    data
  })
}

export function getPlatformSaleAttrVals(query) {
  return request({
    url:  '/pimAttr/getSaleAttrVals',
    method:'get',
    params: query
  })
}
