import requestAuth from '@/utils/requestAuth'

export function create(data) {// 新增
  return requestAuth({
    url: '/messageChannel/save',
    method: 'POST',
    data
  })
}

export function getById(id) {// 通过id查询属性信息
  return requestAuth({
    url: '/messageChannel/info/' + id,
    method: 'get'
  })
}

export function fetchList(query) {//列表
  return requestAuth({
    url: '/messageChannel/list',
    method: 'get',
    params: query
  })
}

export function update(data) {//更新
  return requestAuth({
    url: '/messageChannel/update',
    method: 'PUT',
    data: data
  })
 }

export function deleteData(id) {//删除
  return requestAuth({
    url: '/messageChannel/delete',
    method: 'delete',
    params: id
  })
}