import requestAuth from '@/utils/requestAuth'

export function create(data) {// 新增
  return requestAuth({
    url: '/messageTemplate/save',
    method: 'POST',
    data
  })
}


export function getById(id) {// 通过id查询属性信息
  return requestAuth({
    url: '/messageTemplate/info/' + id,
    method: 'get'
  })
}


export function fetchList(query) {//列表
  return requestAuth({
    url: '/messageTemplate/list',
    method: 'get',
    params: query
  })
}


export function update(data) {//更新
  return requestAuth({
    url: '/messageTemplate/update',
    method: 'PUT',
    data: data
  })
 }

export function deleteData(id) {//删除
  return requestAuth({
    url: '/messageTemplate/delete',
    method: 'delete',
    params: id
  })
}

export function test(query) {//发送消息测试
  return requestAuth({
    url: '/test',
    method: 'get',
    params: query
  })
}


export function fetchRoleList(query) {// 获取角色列表
  return requestAuth({
    url: '/sysOrgRole/list',
    method: 'get',
    params: query
  })
}

export function fetchMessageChannelList(query) {// 获取渠道列表
  return requestAuth({
    url: '/messageChannel/list',
    method: 'get',
    params: query
  })
}