import requestIms from '@/utils/requestIms'
/**
 * 业务调度  - 不同的项目根据自己的需要进行添加和修改
 *
 */



// 获取调度列表
export function fetchList(query) {
  return requestIms({
    url:  '/sys/schedule/list',
    method: 'get',
    params: query
  })
}
 // 保存调度
export function saveSchedule(data) {
  return requestIms({
    url:  '/sys/schedule/save',
    method: 'post',
    data
  })
}

// 更新调度信息
export function updateSchedule(data) {
  return requestIms({
    url:  '/sys/schedule/update',
    method: 'post',
    data
  })
}

// 删除调度信息
export function deleteSchedule(data) {
  return requestIms({
    url:  '/sys/schedule/delete',
    method: 'delete',
    data
  })
}

// 执行调度
export function runSchedule(data) {
  return requestIms({
    url:  '/sys/schedule/run',
    method: 'put',
    data
  })
}

// 暂停调度
export function pauseSchedule(data) {
  return requestIms({
    url:  '/sys/schedule/pause',
    method: 'put',
    data
  })
}

// 恢复调度
export function resumeSchedule(data) {
  return requestIms({
    url:  '/sys/schedule/resume',
    method: 'put',
    data
  })
}

// 恢复调度
export function getSchedule(id) {
  return requestIms({
    url:  '/sys/schedule/info/' + id,
    method: 'get'
  })
}
