import requestPIM from '@/utils/requestPIM'
// 获取配置列表
export function fetchList(query) {
  return requestPIM({
    url:  '/sysConf/list',
    method: 'get',
    params: query
  })
}

// 删除配置信息
export function deleteConf(id) {
  return requestPIM({
    url:  '/sysConf/delete',
    method: 'delete',
    params: { id: id }
  })
}

// 通过id查询字典信息
export function getConfById(id) {
  return requestPIM({
    url:  '/sysConf/info/' + id,
    method: 'get'
  })
}
// 保存字典
export function saveConf(data) {
  return requestPIM({
    url:  '/sysConf/save',
    method: 'post',
    data
  })
}

// 字典更新
export function updateConf(data) {
  return requestPIM({
    url:  '/sysConf/update',
    method: 'post',
    data
  })
}

// 根据key获取配置信息
export function getValueByKey(key) {
  return requestPIM({
    url:  '/sysConf/getValueByKey',
    method: 'get',
    params: { key: key }
  })
}
