import requestPIM from '@/utils/requestPIM'

//字典组
export function groupCombobox(){
  return requestPIM({
    url:  '/pimDict/groupCombobox',
    method: 'get',
  })
}
// 获取配置列表
export function dictList(query) {
  return requestPIM({
    url:  '/pimDict/list',
    method: 'get',
    params: query
  })
}

// 获取配置选项
export function dictCombobox(query) {
  return requestPIM({
    url:  '/pimDict/dictCombobox',
    method: 'get',
    params: query
  })
}

// 通过id查询字典信息
export function getDictByPk(pk) {
  return requestPIM({
    url:  '/pimDict/info' ,
    method: 'get',
    params: pk
  })
}
// 保存字典
export function saveOrUpdateDict(data) {
  return requestPIM({
    url:  '/pimDict/saveOrUpdate',
    method: 'post',
    data
  })
}

//绑定字典
export function bindDictData(data){
  return requestPIM({
    url:  '/pimDict/bindDictData',
    method: 'post',
    data
  })
}

// 根据key 对应的绑定属性
export function queryCheckedBindProp(query) {
  return requestPIM({
    url:  '/pimDict/checkedBindProp',
    method: 'get',
    params:query
  })
}

// 删除字典绑定
export function delDictBind(data){
  return requestPIM({
    url:  '/pimDict/delDictBind',
    method: 'delete',
    params:data
  })
}

