import request from '@/utils/requestPIM'

//使用范围
export const applicationScope = [
  { key:1,desc:"是否显示"},
  { key:2,desc:"是否必填"}
];


//获取模板列表
export function fetchList(query) {
  return request({
    url:  '/pimTemplate/list',
    method: 'get',
    params: query
  })
}
//对象查询，zx新增
export function infoPimTemplate(id){
  return request({
    url:  '/pimTemplate/infoPimTemplate/' + id,
    method: 'get'
  })
}

export function queryObject(id){
  return request({
    url:  '/pimTemplate/info/' + id,
    method: 'get'
  })
}

export function queryObjectByTenate(id){
  return request({
    url:  '/pimTemplate/infoByTemplate/' + id,
    method: 'get'
  })
}

export function createData(data){
  return request({
    url:  '/pimTemplate/save',
    method: 'post',
    data
  })
}
//更新模板
export function updateData(data){
  return request({
    url:  '/pimTemplate/update',
    method: 'put',
    data
  })
}

//属性同步 
export function syncAttrHandle(data){
	return request({
    url:  '/pimTemplate/initTmpl',
    method: 'post',
    data
  })
}


//初始化模板 
export function initTmplHandle(data){
	return request({
    url:  '/pimTemplate/initTmplStep2',
    method: 'post',
    data
  })
}

//根据属性ID获取属性值 [编辑时]需要带入模板的ID 目的是带出 属性值在指定模板中的规则
export function queryTmplAttrVal(query) {
  return request({
    url: '/pimTemplateAttrVal/listByAttrId',
    method: 'get',
    params: query
  })
}