/** When your routing table is too long, you can split it into small modules **/

import Layout from '@/layout'

const productRouter = {
  path: '/attr',
  component: Layout,
  redirect: '/attr/attr',
  alwaysShow: true,
  meta: { title: '属性', icon: 'attr' },
  children: [
    {
      path: 'attr',
      component: () => import('@/views/product/attrIndex'),
      name: 'attrIndex',
      meta: { title: '行业属性'}
    },
    {
      path: 'customAttr',
      component: () => import('@/views/product/customAttrIndex'),
      name: 'customAttrIndex',
      meta: { title: '扩展属性'}
    },
    {
      path: 'pimCategorySaleAttr',
      component: () => import('@/views/pimCategorySaleAttr/index'),
      name: 'pimCategorySaleAttr',
      meta: { title: '销售属性'}
    }

  ]
};
export default productRouter
