/** When your routing table is too long, you can split it into small modules **/

import Layout from "@/layout";

const basicConfigRouter = {
  path: "/basicConfig",
  component: Layout,
  redirect: "/basicConfig/basicConfigList",
  name: "configuration",
  meta: { title: "configuration", icon: "base" },
  children: [
    {
      path: "channelMgt",
      component: () => import("@/views/oms/basicConfig/channelMgt"),
      name: "channelMgt",
      meta: { title: "channelManagement" }
    },
    // ,
    // {
    // 	path: 'orderTypeMgt',
    // 	component: () =>import('@/views/oms/basicConfig/orderTypeMgt'),
    // 	name: 'orderTypeMgt',
    // 	meta: {title: '订单类型管理'}
    // }
    {
      path: "logisticsCompany",
      component: () => import("@/views/oms/basicConfig/logisticsCompany"),
      name: "logisticsCompany",
      meta: { title: "logisticsCompany" }
    },
    {
      path: "logisticsMgt",
      component: () => import("@/views/oms/basicConfig/logisticsMgt"),
      name: "logisticsMgt",
      meta: { title: "logisticsManagement" }
    },
    {
      path: "storeMgt",
      component: () => import("@/views/oms/basicConfig/storeMgt"),
      name: "storeMgt",
      meta: { title: "storeManagement" }
    },
    {
      path: "countryMgt",
      component: () => import("@/views/oms/basicConfig/countryMgt"),
      name: "countryMgt",
      meta: { title: "countryManagement" }
    },
    {
      path: "addressAreaList",
      component: () => import("@/views/oms/basicConfig/addressAreaList"),
      name: "addressAreaList",
      meta: { title: "regionManagement" }
    },
    {
      path: "orderSourceRuleList",
      component: () => import("@/views/oms/basicConfig/orderSourceRuleList"),
      name: "orderSourceRuleList",
      meta: { title: "sourcingRules" }
    }
  ]
};
export default basicConfigRouter;
