/** When your routing table is too long, you can split it into small modules **/

import Layout from '@/layout'

const productRouter = {
  path: '/category',
  component: Layout,
  redirect: '/category/platformCategory',
  alwaysShow: true,
  meta: { title: '类目', icon: 'category' },
  children: [
    {
      path: 'platformCategory',
      component: () => import('@/views/category/categoryIndex'),
      name: 'categoryIndex',
      meta: { title: '平台类目'}
    },{
      path: 'categoryAttr',
      component: () => import('@/views/category/categoryAttrIndex'),
      name: 'categoryAttrIndex',
      meta: { title: '类目属性'}
    },{
      path: 'platformAttr',
      component: () => import('@/views/category/platformAttrIndex'),
      name: 'platformAttrIndex',
      meta: { title: '平台属性'}
    },{
      path: 'sizeChart',
      component: () => import('@/views/category/categoryChartIndex'),
      name: 'categoryChartIndex',
      meta: { title: '尺 码 表'}
    }
  ]
};
export default productRouter
