/** When your routing table is too long, you can split it into small modules **/

import Layout from '@/layout'

const channelRouter = {
  path: '/channel',
  component: Layout,
  redirect: '/channel/channel',
  alwaysShow: true,
  meta: { title: '渠道', icon: 'channel' },
  children: [
    {
      path:"channel",
      component: ()=>import("@/views/channel/channelIndex"),
      name: 'channelIndex',
      meta: {title: '渠道管理'}
    },
    {
      path:"channelAuthIndex",
      component: ()=>import("@/views/channel/channelAuthIndex"),
      name:"channelAuthIndex",
      meta: {title:"渠道授权"}
    },
    {
      path:"store",
      component: ()=>import("@/views/channel/channelStoreIndex"),
      name:"channelStoreIndex",
      meta: {title:"渠道店铺"}
    },{
      path: 'standardCategory',
      component: () =>import('@/views/channel/standardCategory/standardCategoryIndex'),
      name: 'standardCategoryIndex',
      meta: {title: '渠道类目'}
    },
    {
      path: 'standardCategoryProp',
      component: () =>import('@/views/channel/standardCategory/prop/PropIndex'),
      name: 'standardCategoryPropIndex',
      meta: {title: '渠道属性'}
    },
  ]
};
export default channelRouter
