/** When your routing table is too long, you can split it into small modules **/

import Layout from "@/layout";

const inventoryRouter = {
  path: "/inventory",
  component: Layout,
  redirect: "/inventory/inventoryList",
  name: "inventory",
  meta: { title: "inventory", icon: "templet" },
  children: [
    {
      path: "inventoryList",
      component: () => import("@/views/oms/inventory/inventory/inventoryList"),
      name: "inventoryList",
      meta: { title: "inventoryList" }
    },
    {
      path: "virtualInventory",
      component: () =>
        import("@/views/oms/inventory/inventory/virtualInventory"),
      name: "virtualInventory",
      meta: { title: "onlineStoreInventory" }
    },
    {
      path: "warehouseList",
      component: () => import("@/views/oms/inventory/inventory/warehouseList"),
      name: "warehouseList",
      meta: { title: "warehouseList" }
    },
    {
      path: "returnWarehouseList",
      component: () =>
        import("@/views/oms/inventory/inventory/returnWarehouseList"),
      name: "returnWarehouseList",
      meta: { title: "returnWarehouse" }
    },
    {
      path: "inventoryAlert",
      component: () =>
        import("@/views/oms/inventory/inventory/inventoryAlert.vue"),
      name: "inventoryAlert",
      meta: { title: "warningResults" }
    },
    {
      path: "inventoryAlertConfig",
      component: () =>
        import("@/views/oms/inventory/inventory/inventoryAlertConfig.vue"),
      name: "inventoryAlertConfig",
      meta: { title: "warningConfiguration" }
    },
    {
      path: "childInventoryList",
      component: () => import("@/views/oms/inventory/inventory/childInventoryList"),
      name: "childInventoryList",
      meta: { title: "childInventoryList" }
    },
    {
      path: "childWarehouseList",
      component: () => import("@/views/oms/inventory/inventory/childWarehouseList"),
      name: "childWarehouseList",
      meta: { title: "childWarehouseList" }
    }
  ]
};
export default inventoryRouter;
