/** When your routing table is too long, you can split it into small modules **/

import Layout from '@/layout'

const logRouter = {
	path: '/log',
	component: Layout,
	redirect: '/log/task',
	name: '日志',
	meta: {title: '日志',icon: 'templet'},
	children: [{
			path: 'task',
			component: () =>import('@/views/log/task/taskLog'),
			name: 'taskLog',
			meta: {title: '任务日志'}
		},{
			path: 'schedule',
			component: () =>import('@/views/log/schedule/scheduleLog'),
			name: 'scheduleLog',
			meta: {title: '调度日志'}
		},
    // {
		// 	path: 'messLog',
		// 	component: () =>import('@/views/log/message-log'),
		// 	name: 'messageLog',
		// 	meta: {title: '消息日志'}
		// },
    {
			path: 'operator',
			component: () =>import('@/views/log/operator/sysLog'),
			name: 'sysLog',
			meta: {title: '操作日志'}
		},{
      path: 'pushLog',
      component: ()=> import('@/views/product/pushLog/index'),
      name: 'pushLogIndex',
      meta: {title: '推送日志'}
    }
	]
};
export default logRouter
