/** When your routing table is too long, you can split it into small modules **/

import Layout from "@/layout";

const onTrialRouter = {
  path: "/onTrial",
  component: Layout,
  redirect: "/onTrial/onTrialList",
  name: "trial",
  meta: { title: "trial", icon: "order" },
  children: [
    {
      path: "onTrialInfoList",
      component: () => import("@/views/oms/onTrial/onTrialInfoList"),
      name: "onTrialInfoList",
      meta: { title: "trialApplication" }
    },
    {
      path: "onTrialReportList",
      component: () => import("@/views/oms/onTrial/onTrialReportList"),
      name: "onTrialReportList",
      meta: { title: "evaluationReport" }
    },
    {
      path: 'subscriptionList',
      component: () =>import('@/views/oms/onTrial/subscriptionList'),
      name: 'subscriptionList',
      meta: {title: '订阅列表'}
    }
  ]
};
export default onTrialRouter;
