/** When your routing table is too long, you can split it into small modules **/

import Layout from "@/layout";

const orderRouter = {
  path: "/order",
  component: Layout,
  redirect: "/order/orderList",
  name: "order",
  meta: { title: "order", icon: "order" },
  children: [
    {
      path: "orderList",
      component: () => import("@/views/oms/order/orderList"),
      name: "orderList",
      meta: { title: "orderList" }
    },
    {
      path: "orderProcess",
      component: () => import("@/views/oms/order/orderProcess"),
      name: "orderProcess",
      meta: { title: "orderProcessing" }
    },
    {
      path: "abnormalList",
      component: () => import("@/views/oms/order/abnormalList"),
      name: "abnormalList",
      meta: { title: "exceptionalOrders" }
    },
    {
      path: "orderShip",
      component: () => import("@/views/oms/order/orderShip"),
      name: "orderShip",
      meta: { title: "orderShipment" }
    }
  ]
};
export default orderRouter;
