/** When your routing table is too long, you can split it into small modules **/

import Layout from '@/layout'

const productRouter = {
  path: '/product',
  component: Layout,
  redirect: '/product/catentry',
  alwaysShow: true,
  meta: { title: '商品', icon: 'goods' },
  children: [
  	{
      path: 'catentry',
      component: () => import('@/views/product/index'),
      name: 'productIndex',
      meta: { title: '商品列表'}
    },
    {
      path: 'import',
      component: () => import('@/views/product/import'),
      name: 'productImportIndex',
      meta: { title: '商品导入'}
    },
    {
      path: 'catentryLabel',
      component: () => import('@/views/product/label/index'),
      name: 'catentryLabelIndex',
      meta: { title: '商品标签'}
    },
    {
      path: 'catentryPush',
      component: () => import('@/views/product/push/index'),
      name: 'catentryPushIndex',
      meta: { title: '商品推送'}
    },
    {
      path: 'standardChannelImport',
      component: () => import('@/views/product/standardChannelImport'),
      name: 'standardChannelImport',
      meta: { title: '渠道商品'}
    },
    {
      path: 'attr',
      component: () => import('@/views/product/attrIndex'),
      name: 'attrIndex',
      meta: { title: '行业属性'}
    },{
      path: 'customAttr',
      component: () => import('@/views/product/customAttrIndex'),
      name: 'customAttrIndex',
      meta: { title: '扩展属性'}
    },
    {
      path: 'pimCategorySaleAttr',
      component: () => import('@/views/pimCategorySaleAttr/index'),
      name: 'pimCategorySaleAttr',
      meta: { title: '销售属性'}
    },
    {
      path: 'catentryPreview',
      component: () => import('@/views/product/preview'),
      name: 'catentryPreview',
      meta: { title: '商品预览', icon: 'preview' },
      hidden: true
    },
    {
      path: 'catentryImport',
      component: () => import('@/views/product/import'),
      name: 'catentryImport',
      meta: { title: '商品导入', icon: 'import' },
      hidden: true
    },
    {
      path: 'catentryMaterialDetail',
      name: 'catentryMaterialDetail',
      component: () => import('@/views/product/image/materialDetail'),
      meta: { title: '图片详情', icon: 'detail' },
      hidden: true
    },
    {
      path: 'pageFindTune',
      name: 'pageFindTune',
      component: ()=>import('@/views/product/page/findTune'),
      meta: {title:'页面微调',icon:'findTune',ntNotShow:true},
      hidden: true
    },{
      path: 'viewTemplatePreview',
      name: 'viewTemplatePreview',
      meta: { title: '详情模板'},
      component:()=>import('@/views/baseConfig/view_template/index')
    }
  ]
};
export default productRouter
