import Layout from '@/layout'
/** When your routing table is too long, you can split it into small modules **/

const productConfigRouter = {
  path: '/config',
  component: Layout,
  redirect: '/config/watermark_rule',
  alwaysShow: true,
  meta: { title: '配置', icon: 'base2' },
  children: [
    {
      path: 'watermark_rule',
      component: () => import('@/views/baseConfig/watermark/watermark_rule'),
      name: 'watermark_rule',
      meta: { title: '水印引擎'}
    },
    {
      path: 'watermark_img',
      component: () => import('@/views/baseConfig/watermark/watermark_img'),
      name: 'watermark_img',
      meta: { title: '水印图片'}
    },
    {
      path: 'ossconf',
      component: () => import('@/views/baseConfig/ossconf'),
      name: 'ossconfIndex',
      meta: { title: 'OSS配置'}
    },

    {
      path: 'sizeTemplate',
      component: () => import('@/views/baseConfig/size_template/index'),
      name: 'sizeTemplateIndex',
      meta: { title: '尺码表模板'},
      hidden:true
    },
    {
      path: 'sizeTemplateModify',
      component: () => import('@/views/baseConfig/size_template/modify'),
      name: 'sizeTemplateModify',
      meta: { title: '尺码模板编辑'},
      hidden: true
    },
    {
      path: 'viewTemplate',
      component: () => import('@/views/baseConfig/view_template/index'),
      name: 'viewTemplateIndex',
      meta: { title: '详情模板'}
    },
    {
      path: 'viewTemplateModify',
      component: () => import('@/views/baseConfig/view_template/modify'),
      name: 'viewTemplateModify',
      meta: { title: '商品详情模板编辑'},
      hidden: true
    },
    {
      path: 'viewTemplateModel',
      component: () => import('@/views/baseConfig/view_template/modual/modelIndex'),
      name: 'modelIndex',
      meta: { title: '商品详情模板模块'},
      hidden: true
    },
    {
       path: 'modelBasic',
       component: () => import('@/views/baseConfig/model/index'),
       name: 'modelBasic',
       meta: { title: '模特管理'},
       hidden: true
    },
    {
      path:'ruleManage',
      component:()=>import('@/views/baseConfig/ruleManage/index'),
      name:'ruleIndex',
      meta:{title:'规则管理'}
    }
  ]
};
export default productConfigRouter
