/** When your routing table is too long, you can split it into small modules **/

import Layout from "@/layout";

const promotionRouter = {
  path: "/promotion",
  component: Layout,
  redirect: "/promotion/activityProductList",
  name: "promotion",
  meta: { title: "促销", icon: "el-icon-sell" },
  children: [
    {
      path: "activityProductList",
      component: () => import("@/views/oms/promotion/activityProductList.vue"),
      name: "activityProductList",
      meta: { title: "promotionalGoods" }
    },
    {
      path: "virtualGoodsList",
      component: () => import("@/views/oms/promotion/virtualGoodsList.vue"),
      name: "virtualGoodsList",
      meta: { title: "virtualGifts" }
    },
    {
      path: "bagProduct",
      component: () => import("@/views/oms/promotion/bagProduct/index"),
      name: "bagProduct",
      meta: { title: "福袋商品" }
    },
    {
      path: "promotion",
      component: () => import("@/views/oms/promotion/promotion/index"),
      name: "promotion",
      meta: { title: "promotionConfig" }
    },
    {
      path: "multiBuyDiscount",
      component: () =>
        import("@/views/oms/promotion/multiBuyDiscount/index"),
      name: "multiBuyDiscount",
      meta: { title: "多件多折促销" }
    },
    {
      path: "buyXGetYList",
      component: () =>
        import("@/views/oms/promotion/buyXGetYDiscount/index"),
      name: "buyXGetYList",
      meta: { title: "Buy X Get Y" }
    },
    {
      path: "amountOffProducts",
      component: () => import("@/views/oms/promotion/amountOffProducts/index"),
      name: "amountOffProducts",
      meta: { title: "产品降价金额" }
    },
    {
      path: "amountOffOrder",
      component: () => import("@/views/oms/promotion/amountOffOrder/index"),
      name: "amountOffOrder",
      meta: { title: "订单降价金额" }
    },
    {
      path: "freeShipping",
      component: () => import("@/views/oms/promotion/freeShipping/index"),
      name: "freeShipping",
      meta: { title: "运费折扣" }
    },
    {
      path: "promotionLogList",
      component: () => import("@/views/oms/promotion/promotionLogList/index"),
      name: "promotionLogList",
      meta: { title: "促销日志" }
    }
  ]
};
export default promotionRouter;
