/** When your routing table is too long, you can split it into small modules **/

import Layout from "@/layout";

const refundRouter = {
  path: "/refund",
  component: Layout,
  redirect: "/refund/refundList",
  name: "afterSales",
  meta: { title: "afterSales", icon: "refund" },
  children: [
    {
      path: "refundList",
      component: () => import("@/views/oms/refund/refundList"),
      name: "refundList",
      meta: { title: "refundManagement" }
    },
    // {
    //   path: "abnormalRefundList",
    //   component: () => import("@/views/oms/refund/abnormalRefundList"),
    //   name: "abnormalRefundList",
    //   meta: { title: "abnormalRefundList" }
    // },
    {
      path: "refundCwList",
      component: () => import("@/views/oms/refund/refundCwList"),
      name: "refundCwList",
      meta: { title: "financialAudit" }
    },
    {
      path: "returnList",
      // component: () => import("@/views/oms/refund/returnList.vue"),
      component: () => import("@/views/oms/refund/returnDetailList.vue"),
      name: "returnList",
      meta: { title: "returnManagement" }
    },
    {
      path: "refundReason",
      component: () => import("@/views/oms/refund/refundReason.vue"),
      name: "refundReason",
      meta: { title: "refundReasons" }
    },
    {
      path: "autoRefund",
      component: () => import("@/views/oms/refund/autoRefund.vue"),
      name: "autoRefund",
      meta: { title: "自动退款配置" }
    },
    {
      path: "shippingFeeRule",
      component: () => import("@/views/oms/refund/shippingFeeRule.vue"),
      name: "shippingFeeRule",
      meta: { title: "slFreightRules" }
    }
  ]
};
export default refundRouter;
