/** When your routing table is too long, you can split it into small modules **/

import Layout from '@/layout'

const storageChannelRouter = {
  path: '/storage',
  component: Layout,
  redirect: '/storage/channelManagement',
  alwaysShow: true,
  name: "invoicing",
  meta: { title: 'invoicing', icon: 'el-icon-box' },
  children: [
    {
      path:"channelManagement",
      component: ()=>import("@/views/oms/storage/channelManagement"),
      name: 'channelManagement',
      meta: {title: 'channelManagement'}
    },
    {
      path:"channelWarehouse",
      component: ()=>import("@/views/oms/storage/channelWarehouse"),
      name: 'channelWarehouse',
      meta: {title: 'channelWarehouse'}
    },
    {
      path:"outBoundManagement",
      component: ()=>import("@/views/oms/storage/outBoundManagement"),
      name: 'outBoundManagement',
      meta: {title: 'outboundListManagement'}
    },
    {
      path:"inBoundManagement",
      component: ()=>import("@/views/oms/storage/inBoundManagement"),
      name: 'inboundListManagement',
      meta: {title: 'inboundListManagement'}
    },
    {
      path:"balanceManagement",
      component: ()=>import("@/views/oms/storage/balanceManagement"),
      name: 'balanceListManagement',
      meta: {title: 'balanceListManagement'}
    },
    {
      path:"inventoryManagement",
      component: ()=>import("@/views/oms/storage/inventoryManagement"),
      name: 'inventoryListManagement',
      meta: {title: 'inventoryListManagement'}
    },
    {
      path:"adjustManagement",
      component: ()=>import("@/views/oms/storage/adjustManagement"),
      name: 'adjustListManagement',
      meta: {title: 'adjustListManagement'}
    },
    {
      path: "inBoundManagementDetail",
      component:() => import("@/views/oms/storage/inBoundManagementDetail"),
      name: 'inBoundListDetails',
      meta: {title: 'inBoundListDetails'},
      hidden: true
    },
    {
      path: "outBoundManagementDetail",
      component:() => import("@/views/oms/storage/outBoundManagementDetail"),
      name: 'outBoundManagementDetail',
      meta: {title: 'outBoundListDetails'},
      hidden: true
    },
    {
      path: "closingBillDetail",
      component:() => import("@/views/oms/storage/closingBillDetail"),
      name: 'closingBillDetails',
      meta: {title: 'closingBillDetails'},
      hidden: true
    },
    {
      path: "adjustManagementDetail",
      component:() => import("@/views/oms/storage/adjustManagementDetail"),
      name: 'adjustManagementDetails',
      meta: {title: 'adjustManagementDetails'},
      hidden: true
    }
  ]
};
export default storageChannelRouter
