/** When your routing table is too long, you can split it into small modules **/
import Layout from "@/layout";

const sysRouter = {
  path: "/sys",
  component: Layout,
  redirect: "/sys/messChannel",
  name: "system",
  meta: { title: "system", icon: "base" },
  children: [
    {
      path: "messChannel",
      component: () => import("@/views/sys/mess/messChannel"),
      name: "messChannel",
      meta: { title: "消息渠道", icon: "" }
    },
    {
      path: "messTmpl",
      component: () => import("@/views/sys/mess/messTmpl"),
      name: "messTmpl",
      meta: { title: "消息模板" }
    },
    {
      path: "constant",
      component: () => import("@/views/sys/constantIndex"),
      name: "sysConstant",
      meta: { title: "系统参数" }
    },
    {
      path: "schedule",
      component: () => import("@/views/sys/schedule"),
      name: "scheduleIndex",
      meta: { title: "systemSchedule" }
    },
    {
      path: "dict",
      component: () => import("@/views/sys/dict/dictIndex"),
      name: "dictIndex",
      meta: { title: "dataDictionary" }
    }
  ]
};
export default sysRouter;
