import Vue from 'vue'

/**
 * 自定义指令
 * // 注册
 * Vue.directive('my-directive', {
 *  bind: function () {},
 *  inserted: function () {},
 *  update: function () {},
 *  componentUpdated: function () {},
 *  unbind: function () {}
 * })
 * // 注册 (指令函数)
 * Vue.directive('my-directive', function () {
 * // 这里将会被 `bind` 和 `update` 调用
 * })
 * // getter，返回已注册的指令
 * var myDirective = Vue.directive('my-directive')
 *
 * 权限指令:
 *    v-has 中的值 都是 常量 不是变量 无需数据绑定 所有无需编写update
 */
const has = Vue.directive('has', {
  //指令与元素成功绑定
  bind: function(el, binding) {
    if (!Vue.prototype.$_has(binding.value)) {
    	if(el && el.parentNode){
    		el.parentNode.removeChild(el);
    	}
    }
  },
  //指令所在元素被插入时调用
  inserted: function (el, binding, vnode) {
　　if (!Vue.prototype.$_has(binding.value)) {
      if(el && el.parentNode){
  　　	el.parentNode.removeChild(el);
     	}
    }
	}
});
// 权限检查方法
Vue.prototype.$_has = function(value) {
  let isExist = false;
  if (sessionStorage.getItem('userBtns').includes(value)) {
    isExist = true
  }
  return isExist;
};
export {has}
